Get counterparties for a company

​

Retrieve the counterparty firms associated with a given pipeline company, with their roles and exposure rollup

OAuth scopes
  • openid

Path Parameters

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/counterparties/v1/by-company/{companyId}
curl https://api-mna-offense.productmind.trilogy.com/counterparties/v1/by-company/null \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
[
  {
    "id": 1,
    "name": "string",
    "domain": null,
    "counterpartyType": "string",
    "focusAreas": [
      {
        "slug": "string",
        "label": "string"
      }
    ],
    "role": "string",
    "pipelineCompanyCount": 1,
    "distressedCompanyCount": 1,
    "totalNolMillions": null
  }
]